/*
 * main.cpp
 *
 *  Created on: 13.03.2013
 *      Author: Stoycho Stefanov
 */

#include <Wt/WApplication>
#include <Wt/WEnvironment>
#include <Wt/WPopupMenu>
#include <Wt/WMenu>
#include <Wt/WMenuItem>
#include <Wt/WText>
#include <Wt/WEvent>
#include <Wt/WGridLayout>
#include <Wt/WContainerWidget>
#include <Wt/WMessageBox>
#include <Wt/WPaintedWidget>
#include <Wt/WPainter>
#include <Wt/WVBoxLayout>
#include <boost/signal.hpp>
#include <boost/foreach.hpp>
#include <boost/bind.hpp>
//#include <Wt/W>
#include <Wt/WPushButton>
#include <iostream>


#include "PanelPage.h"


using namespace Wt;
using namespace std;


class MyApp : public WApplication {
    public:
        MyApp(const WEnvironment& env)
        :
            WApplication(env){
            WContainerWidget *w = root();
            w->decorationStyle().backgroundColor().setRgb(14,232,133,142);
            WVBoxLayout *layout = new WVBoxLayout();
            layout->addWidget(new PanelPage(),1);
            cout << "panelPage is there"<< endl;
            w->setLayout(layout);
    }
};

WApplication *createApplication(const WEnvironment& env) {
    WApplication *app = new MyApp(env);
    app->setTitle("bug report");
    app->setCssTheme("polished");
    app->refresh();
    return app;
};

int main(int argc, char **argv) {
    cout << "Wt = " << WT_VERSION_STR <<endl;
    return WRun(argc, argv, &createApplication);
}

